GNU bug report logs - #48630
[PATCH] adds `ack' package and it's perl module dependency File::Next

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Gabriel Wicki <gabriel@HIDDEN>; Keywords: patch; dated Mon, 24 May 2021 19:12:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 48630 <at> debbugs.gnu.org:


Received: (at 48630) by debbugs.gnu.org; 27 May 2021 16:46:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 27 12:46:12 2021
Received: from localhost ([127.0.0.1]:52704 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmJ99-0003pR-T5
	for submit <at> debbugs.gnu.org; Thu, 27 May 2021 12:46:12 -0400
Received: from chimborazo.ee.ethz.ch ([129.132.2.15]:47975)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gabriel@HIDDEN>) id 1lmJ94-0003ej-T3
 for 48630 <at> debbugs.gnu.org; Thu, 27 May 2021 12:46:10 -0400
Received: from silver (212-51-128-14.fiber7.init7.net [212.51.128.14])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 (Authenticated sender: gabriel)
 by chimborazo.ee.ethz.ch (Postfix) with ESMTPSA id 12AAE40315;
 Thu, 27 May 2021 18:46:00 +0200 (CEST)
Date: Thu, 27 May 2021 18:45:55 +0200
From: Gabriel Wicki <gabriel@HIDDEN>
To: Xinglu Chen <public@HIDDEN>
Subject: Re: [bug#48630] [PATCH] adds `ack' package and it's perl module
 dependency File::Next
Message-ID: <20210527164555.vg2xqiaafkii4x4o@silver>
References: <20210524191054.7wtb4wopstgx2c77@silver>
 <20210525221326.tadqgibhes4bbyyl@silver>
 <875yz43ca3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="ylrrrm3ruo2h3tdz"
Content-Disposition: inline
In-Reply-To: <875yz43ca3.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48630
Cc: 48630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


--ylrrrm3ruo2h3tdz
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Thu, May 27, 2021 at 08:45:40AM +0200, Xinglu Chen wrote:
> Apart from the commit message not conforming to the ChangeLog format[1],
> looks good to me.

Sorry for that! I hope i got it right, now :)


=46rom 6bd756812bfc684ca92c4aa9c9d3d573b6bb5717 Mon Sep 17 00:00:00 2001
=46rom: Gabriel Wicki <gabriel@HIDDEN>
Date: Thu, 27 May 2021 18:33:19 +0200
Subject: [PATCH] add package perl-file-next

* gnu/packages/perl.scm (perl-file-next): New variable.
---
 gnu/packages/perl.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/perl.scm b/gnu/packages/perl.scm
index d35508112f..4f36fc3e44 100644
--- a/gnu/packages/perl.scm
+++ b/gnu/packages/perl.scm
@@ -4654,6 +4654,25 @@ provided base directory and can return files (and/or=
 directories if desired)
 matching a regular expression.")
     (home-page "https://metacpan.org/release/File-List")))
=20
+(define-public perl-file-next
+  (package
+   (name "perl-file-next")
+   (version "1.18")
+   (source (origin
+            (method git-fetch)
+            (uri (git-reference
+                  (url "https://github.com/petdance/file-next")
+                  (commit version)))
+            (file-name (git-file-name name version))
+            (sha256
+             (base32
+              "0zdrxk409qxkbbv4fl4wi285kfzyrpaja9wfl00vrxc078rs4afm"))))
+   (build-system perl-build-system)
+   (synopsis "Lightweight, taint-safe file-finding Perl module")
+   (description "File::Next is a Perl CPAN module for finding files.")
+   (home-page "https://metacpan.org/pod/File::Next")
+   (license license:artistic2.0)))
+
 (define-public perl-file-readbackwards
   (package
     (name "perl-file-readbackwards")
--=20
2.30.2



=46rom 499cf536648320a628cc7aef2606b8817220f27d Mon Sep 17 00:00:00 2001
=46rom: Gabriel Wicki <gabriel@HIDDEN>
Date: Thu, 27 May 2021 18:40:56 +0200
Subject: [PATCH] add package ack

* gnu/packages/textutils.scm (ack): New variable.
---
 gnu/packages/textutils.scm | 39 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/gnu/packages/textutils.scm b/gnu/packages/textutils.scm
index ab34373705..1df5050f30 100644
--- a/gnu/packages/textutils.scm
+++ b/gnu/packages/textutils.scm
@@ -45,6 +45,7 @@
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system go)
   #:use-module (guix build-system cmake)
+  #:use-module (guix build-system perl)
   #:use-module (guix build-system python)
   #:use-module (guix utils)
   #:use-module (gnu packages)
@@ -59,6 +60,7 @@
   #:use-module (gnu packages pcre)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages perl)
   #:use-module (gnu packages python)
   #:use-module (gnu packages python-build)
   #:use-module (gnu packages python-xyz)
@@ -1304,3 +1306,40 @@ languages such as HTML, Markdown, Asciidoc, and reSt=
ructuredText.  The community
 around it also has a list of style guides implemented with Vale in
 @url{https://github.com/errata-ai/styles, their styles repo}.")
     (license license:expat)))
+
+(define-public ack
+  (package
+   (name "ack")
+   (version "3.5.0")
+   (source (origin
+            (method git-fetch)
+            (uri
+             (git-reference
+              (url "https://github.com/beyondgrep/ack3")
+              (commit (string-append "v" version))))
+            (file-name (git-file-name name version))
+            (sha256
+             (base32 "00131vqjbzcn6w22m0h3j6x9kp59dimfnnqhpmi78vbcj0jws1dv=
"))))
+   (build-system perl-build-system)
+   (arguments '(#:tests? #t
+                #:phases (modify-phases
+                          %standard-phases
+                          (add-after 'patch-generated-file-shebangs 'patch=
-more-shebangs
+                                     (lambda* (#:key inputs #:allow-other-=
keys)
+                                       (let ((perl (string-append
+                                                    (assoc-ref inputs "per=
l")
+                                                    "/bin/perl")))
+                                         (substitute* "t/ack-type.t"
+                                                      (("/usr/bin/perl")
+                                                       perl)
+                                                      (("/usr/bin/env perl=
")
+                                                       perl))))))))
+   (propagated-inputs `(("perl-file-next" ,perl-file-next)))
+   (synopsis "Code-searching tool optimized for programmers with large tre=
es
+of source code")
+   (description "ack is a tool for finding text inside files.  It is desig=
ned for
+hackers and programmers by being fast, ignoring VCS directories, letting a=
 user
+easily specify file types, match highlighting, Perl-Compatible Regular
+Expressions, and being faster to type than grep.")
+   (home-page "https://beyondgrep.com/")
+   (license license:artistic2.0)))
--=20
2.30.2


--ylrrrm3ruo2h3tdz
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEQIEqYR3LlmyDTUWv+AxRnAOZ9fAFAmCvzKcACgkQ+AxRnAOZ
9fCr/w//Sv0zteohkO9n83R/1SfOptXbUfzKePUSHt94ycU1fbLnyr2ODuvuPvOQ
yGWlUJfFJ3njRbdFEg1fyPoMZqOv6zJjroWa/BKZExPi2m2BPmEJoYD0mWfd5kxq
u9pXvEFNOKj5Fgdc9wCfUiwim+QA2Wq9x4c/La9nSFZK8YSzO/FFFN4PP9WJqQbE
tR7SnEKlytKGrW1n1PS+WPS7grvrwrggli1emFV8I/IqiCVDzJIMqgaVbj9zdtDp
jcxuDB3JSCI5a4G6V1do8hPLgHZAzO+XrbYkZloxUL54g8NX9mqV3HGvw+nBrW31
6HmaYeTI6vpiJRs3YRvm+IWIeLmfKzYU8LhmN+e14R0lNlQbBkhZCeCytbUcFUTT
dy2XOdpQTZjXGg6YTsV197uZkYaQ6coqXVqzbvGoQSB5bbhN1eaAw8cMA/johW91
GZt4S2qFp9sizjmd1eyNBdOkjFwbGHuGwCq5wt7uPIL5qQlsaG3/QavGwmmuG6Lm
wq9tFziL4NI1hqCxi8B/cAgkLPplGbdb44Q7PtGu+LPstTtwmwa0Vd3c3kqD08+X
rRqCtQo7Ro+KYF4KKyEkLTKJoEb2y56MFfiQ3jb8BbR5YCI6w21txX45HVhOZfXF
vxeeS1d7V007XJW5JoKAwJD1rsfan/MJW+ae0nHWNoMsIFtDyEA=
=rSMV
-----END PGP SIGNATURE-----

--ylrrrm3ruo2h3tdz--




Information forwarded to guix-patches@HIDDEN:
bug#48630; Package guix-patches. Full text available.

Message received at 48630 <at> debbugs.gnu.org:


Received: (at 48630) by debbugs.gnu.org; 27 May 2021 06:45:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 27 02:45:51 2021
Received: from localhost ([127.0.0.1]:50475 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lm9mB-0003cH-Af
	for submit <at> debbugs.gnu.org; Thu, 27 May 2021 02:45:51 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:46736
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lm9m9-0003c2-Em
 for 48630 <at> debbugs.gnu.org; Thu, 27 May 2021 02:45:50 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1622097941;
 bh=Qm6MjACU2xIe79Y2DjSfWz7hFxjcOasQAbU3jOFmTTs=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=Ir7NpPxIS7gQV+fvTwL2xJNT2XvMFxduLOFUGLTWXXJKBu9sdYyzl9OLyAYQpezp8
 3fBRCjOk2SrcGZ2Qpl0wRp9XvtQT9603oVoaigWixvjDj3qQ4LzQKhTSudfm/ZyQi5
 sfVUQtZ/2X4dS0pu7QbDN13voC+p339/LB/YHw/M=
To: Gabriel Wicki <gabriel@HIDDEN>, 48630 <at> debbugs.gnu.org
Subject: Re: [bug#48630] [PATCH] adds `ack' package and it's perl module
 dependency File::Next
In-Reply-To: <20210525221326.tadqgibhes4bbyyl@silver>
References: <20210524191054.7wtb4wopstgx2c77@silver>
 <20210525221326.tadqgibhes4bbyyl@silver>
Date: Thu, 27 May 2021 08:45:40 +0200
Message-ID: <875yz43ca3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Wed, May 26 2021,
 Gabriel Wicki wrote: > From 2c708fcb56bdb7549a9de7535a0aaf936a18e8a0
 Mon Sep 17 00:00:00 2001 > From: Gabriel Wicki <gabriel@HIDDEN> > Date:
 Wed, 26 May 2021 00:08:09 +0200 > Subject: [PATCH] add package ack to (gnu
 p [...] Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 48630
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Wed, May 26 2021, Gabriel Wicki wrote: > From 2c708fcb56bdb7549a9de7535a0aaf936a18e8a0
    Mon Sep 17 00:00:00 2001 > From: Gabriel Wicki <gabriel@HIDDEN> > Date:
    Wed, 26 May 2021 00:08:09 +0200 > Subject: [PATCH] add package ack to (gnu
    p [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain

On Wed, May 26 2021, Gabriel Wicki wrote:

> From 2c708fcb56bdb7549a9de7535a0aaf936a18e8a0 Mon Sep 17 00:00:00 2001
> From: Gabriel Wicki <gabriel@HIDDEN>
> Date: Wed, 26 May 2021 00:08:09 +0200
> Subject: [PATCH] add package ack to (gnu packages textutils)
>
> modified:   gnu/packages/textutils.scm
>  - add package ack
>  - add (guix build-system perl) and (gnu packages perl) to imports
> ---
>  gnu/packages/textutils.scm | 39 ++++++++++++++++++++++++++++++++++++++
>  1 file changed, 39 insertions(+)

Apart from the commit message not conforming to the ChangeLog format[1],
looks good to me.

[1]: https://www.gnu.org/prep/standards/html_node/Change-Logs.html


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmCvQBQVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5P3sP/j0YJR+Abp+vxSrhXxW0x9QR5auv
JFtr3ZQ5WOBHgDAgQiVbIollNjPPrZsNN/g3rirKHZ9QtMOq0aVXLBs4gcA4Vh1o
JkKRXlB+yrasTyJpm7qRZCD/94Ja3Z8APQsWIpTiA87bkgssrQxfkTQsYD5oVvM5
evqcElNVPslYh33Nehf+4krryKDohO7+wBxLIAJb59f8VXc7/BBWS/e7TkfhECNd
srFWNs/2svCJXsY3DZWi3ZGIJiNaNnZ6RpdLHZIQV8ED2WC9ItvelezouQcCFk2N
I7NBkg+xDDugBdzXkWrXfkyGCRJDIngdzCydgutUtX5ehTK/StOzrvQSoFRR4FzZ
u4ssBTAs6k+C3mk1clRVixqSVJ3Eaq6A2Lhn7LLUwoyehmvdevJWNe2G4P8qWU5P
H4ghgJH2PjcDvf878HTK/BaMsqsEVBMmB1eKSRKh708ztj5UWOJl1gPNQ9BwD4WH
SweNocPuZaEV+3G6eitG/EK9pQwoCmWlDfnymSjTAmNRnbptlCrwKNfPfvy2qqsI
GFzYM6vrkJOeXWgZUk4l6/ueT1fZw6zYkviOgb1VLUxU9Sz6mZ/s+A/QKPZp3S4N
gRQef+ko8RW8lQ8cQAit8DCPo7TuhUnqb1x7qUOG4rYDQ0xC3ydt40wAviwQlygZ
lOy2jFQ14cwd+VQs
=GaxI
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#48630; Package guix-patches. Full text available.

Message received at 48630 <at> debbugs.gnu.org:


Received: (at 48630) by debbugs.gnu.org; 25 May 2021 22:13:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 25 18:13:42 2021
Received: from localhost ([127.0.0.1]:47263 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1llfJ0-0004Ki-AN
	for submit <at> debbugs.gnu.org; Tue, 25 May 2021 18:13:42 -0400
Received: from chimborazo.ee.ethz.ch ([129.132.2.15]:33853)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gabriel@HIDDEN>) id 1llfIw-0004KQ-KG
 for 48630 <at> debbugs.gnu.org; Tue, 25 May 2021 18:13:41 -0400
Received: from silver (212-51-128-14.fiber7.init7.net [212.51.128.14])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 (Authenticated sender: gabriel)
 by chimborazo.ee.ethz.ch (Postfix) with ESMTPSA id DB6E64024D
 for <48630 <at> debbugs.gnu.org>; Wed, 26 May 2021 00:13:29 +0200 (CEST)
Date: Wed, 26 May 2021 00:13:26 +0200
From: Gabriel Wicki <gabriel@HIDDEN>
To: 48630 <at> debbugs.gnu.org
Subject: [PATCH] adds `ack' package and it's perl module dependency File::Next
Message-ID: <20210525221326.tadqgibhes4bbyyl@silver>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48630
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

From 2c708fcb56bdb7549a9de7535a0aaf936a18e8a0 Mon Sep 17 00:00:00 2001
From: Gabriel Wicki <gabriel@HIDDEN>
Date: Wed, 26 May 2021 00:08:09 +0200
Subject: [PATCH] add package ack to (gnu packages textutils)

modified:   gnu/packages/textutils.scm
 - add package ack
 - add (guix build-system perl) and (gnu packages perl) to imports
---
 gnu/packages/textutils.scm | 39 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/gnu/packages/textutils.scm b/gnu/packages/textutils.scm
index ab34373705..1df5050f30 100644
--- a/gnu/packages/textutils.scm
+++ b/gnu/packages/textutils.scm
@@ -45,6 +45,7 @@
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system go)
   #:use-module (guix build-system cmake)
+  #:use-module (guix build-system perl)
   #:use-module (guix build-system python)
   #:use-module (guix utils)
   #:use-module (gnu packages)
@@ -59,6 +60,7 @@
   #:use-module (gnu packages pcre)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages perl)
   #:use-module (gnu packages python)
   #:use-module (gnu packages python-build)
   #:use-module (gnu packages python-xyz)
@@ -1304,3 +1306,40 @@ languages such as HTML, Markdown, Asciidoc, and reStructuredText.  The community
 around it also has a list of style guides implemented with Vale in
 @url{https://github.com/errata-ai/styles, their styles repo}.")
     (license license:expat)))
+
+(define-public ack
+  (package
+   (name "ack")
+   (version "3.5.0")
+   (source (origin
+            (method git-fetch)
+            (uri
+             (git-reference
+              (url "https://github.com/beyondgrep/ack3")
+              (commit (string-append "v" version))))
+            (file-name (git-file-name name version))
+            (sha256
+             (base32 "00131vqjbzcn6w22m0h3j6x9kp59dimfnnqhpmi78vbcj0jws1dv"))))
+   (build-system perl-build-system)
+   (arguments '(#:tests? #t
+                #:phases (modify-phases
+                          %standard-phases
+                          (add-after 'patch-generated-file-shebangs 'patch-more-shebangs
+                                     (lambda* (#:key inputs #:allow-other-keys)
+                                       (let ((perl (string-append
+                                                    (assoc-ref inputs "perl")
+                                                    "/bin/perl")))
+                                         (substitute* "t/ack-type.t"
+                                                      (("/usr/bin/perl")
+                                                       perl)
+                                                      (("/usr/bin/env perl")
+                                                       perl))))))))
+   (propagated-inputs `(("perl-file-next" ,perl-file-next)))
+   (synopsis "Code-searching tool optimized for programmers with large trees
+of source code")
+   (description "ack is a tool for finding text inside files.  It is designed for
+hackers and programmers by being fast, ignoring VCS directories, letting a user
+easily specify file types, match highlighting, Perl-Compatible Regular
+Expressions, and being faster to type than grep.")
+   (home-page "https://beyondgrep.com/")
+   (license license:artistic2.0)))
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#48630; Package guix-patches. Full text available.

Message received at 48630 <at> debbugs.gnu.org:


Received: (at 48630) by debbugs.gnu.org; 25 May 2021 22:03:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 25 18:03:36 2021
Received: from localhost ([127.0.0.1]:47235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1llf9E-00045v-E0
	for submit <at> debbugs.gnu.org; Tue, 25 May 2021 18:03:36 -0400
Received: from chimborazo.ee.ethz.ch ([129.132.2.15]:34987)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gabriel@HIDDEN>) id 1llf9B-00045g-Uw
 for 48630 <at> debbugs.gnu.org; Tue, 25 May 2021 18:03:35 -0400
Received: from silver (212-51-128-14.fiber7.init7.net [212.51.128.14])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 (Authenticated sender: gabriel)
 by chimborazo.ee.ethz.ch (Postfix) with ESMTPSA id CAA164024D
 for <48630 <at> debbugs.gnu.org>; Wed, 26 May 2021 00:03:17 +0200 (CEST)
Date: Wed, 26 May 2021 00:03:11 +0200
From: Gabriel Wicki <gabriel@HIDDEN>
To: 48630 <at> debbugs.gnu.org
Subject: [PATCH] adds `ack' package and it's perl module dependency File::Next
Message-ID: <20210525220311.oicyl2ofgtdgvzrz@silver>
References: <20210524191054.7wtb4wopstgx2c77@silver>
 <handler.48630.B.162188348523111.ack <at> debbugs.gnu.org>
 <20210525191259.23awunfcwdr6p3cg@silver>
 <875yz67b19.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="cbgwfs7v3cbhfudq"
Content-Disposition: inline
In-Reply-To: <875yz67b19.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48630
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


--cbgwfs7v3cbhfudq
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

=46rom 65c6ef5af4ac8207b6d8905bdc381fc51075367b Mon Sep 17 00:00:00 2001
=46rom: Gabriel Wicki <gabriel@HIDDEN>
Date: Tue, 25 May 2021 23:52:59 +0200
Subject: [PATCH] add package perl-find-next

modified:   gnu/packages/perl.scm
 - add package definition `perl-file-next' for File::Next Perl module
---
 gnu/packages/perl.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/perl.scm b/gnu/packages/perl.scm
index d35508112f..4f36fc3e44 100644
--- a/gnu/packages/perl.scm
+++ b/gnu/packages/perl.scm
@@ -4654,6 +4654,25 @@ provided base directory and can return files (and/or=
 directories if desired)
 matching a regular expression.")
     (home-page "https://metacpan.org/release/File-List")))
=20
+(define-public perl-file-next
+  (package
+   (name "perl-file-next")
+   (version "1.18")
+   (source (origin
+            (method git-fetch)
+            (uri (git-reference
+                  (url "https://github.com/petdance/file-next")
+                  (commit version)))
+            (file-name (git-file-name name version))
+            (sha256
+             (base32
+              "0zdrxk409qxkbbv4fl4wi285kfzyrpaja9wfl00vrxc078rs4afm"))))
+   (build-system perl-build-system)
+   (synopsis "Lightweight, taint-safe file-finding Perl module")
+   (description "File::Next is a Perl CPAN module for finding files.")
+   (home-page "https://metacpan.org/pod/File::Next")
+   (license license:artistic2.0)))
+
 (define-public perl-file-readbackwards
   (package
     (name "perl-file-readbackwards")
--=20
2.30.2


--cbgwfs7v3cbhfudq
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEQIEqYR3LlmyDTUWv+AxRnAOZ9fAFAmCtc/IACgkQ+AxRnAOZ
9fCuEA/9ErOWpUlrwAJOi3cCesCrpCba1b/GdmH7mWf45olbol0f4VTHpAO8nc6p
uoGjz3RZagF/00H6gmImBHHWCXzytacCahVXgKIxeRxYzcTF8mUUhPT6SPjDxNqI
oNjooc8aEEj3xbjTXU/sd7DBOchHDFiYSraNlql5puMinF0yLD1whc8pIQbjG2iu
gUGu3OLJweeY7vj3pZcLhjs61RKyJF0Q2NOZ+iZ1QyWz7ugQiuJqdM9bCRIUG5Za
axpp7+CBGVT1HrrZhG90PTRUtGXWMNTsKCBmhfrr+ivQQeX3M2rW0xjNjEKQhqIF
XoNoaQ6U6Kvf+6ZX7pOwkaKiL+dyM1ZMbGo7MTa1S1BqJDh09I+yZa1G9lHDT2pB
yDieBVlPfyK8j9ryI9utQd8S0Q11kkbxOeuaZvgYXvV3p/N49Qo0kpInmFJlNp2s
NvJ62ek9ce+C13w7IU/Xs1SsOHx920FMn0PTSckyWnt3QCaX1P30oRCCL9ILFwVf
37MXrMGoc2X6FASdEeZRKi9rS0M7HPx9aPrYHmmwJhv9WfHTzMcGxDka+5qew8ru
FwjtvqeYLTwO8D6Xy+4oBgXcL2pEf/i02v1XWpFppG32PIzkU1ncOlKo30XXaWWx
ltE34//alLeq3YTRqlZbEdOYJjZXBcCptBdNUcVUF4dN810L5Mg=
=j/9d
-----END PGP SIGNATURE-----

--cbgwfs7v3cbhfudq--




Information forwarded to guix-patches@HIDDEN:
bug#48630; Package guix-patches. Full text available.

Message received at 48630 <at> debbugs.gnu.org:


Received: (at 48630) by debbugs.gnu.org; 25 May 2021 21:34:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 25 17:34:45 2021
Received: from localhost ([127.0.0.1]:47201 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1llehJ-0003OF-FX
	for submit <at> debbugs.gnu.org; Tue, 25 May 2021 17:34:45 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:33786
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1llehE-0003Nx-L6
 for 48630 <at> debbugs.gnu.org; Tue, 25 May 2021 17:34:43 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1621978472;
 bh=BcfM/t87FHbvZDbki7C+gjPSmBBE3pqUasd8Bt0HdTA=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=M+SLR2q90yAsLd98z/bgn/f93UMa5V/6f1dzMTsJDa4n2iuDkY10HKJDM/1/uIsnh
 gV87Qm90oSWyZKApOHAaKarPO7Y9wvV1/DLsJRZzK6nCZtHuYOkhBTL/ryOgUsc2LU
 Vr5BZfmYn6ABWM1GPvrxkpFwq3PZXlhlCSwoQqA8=
To: Gabriel Wicki <gabriel@HIDDEN>, 48630 <at> debbugs.gnu.org
Subject: Re: [bug#48630] Acknowledgement ([PATCH] adds `ack' package and
 it's perl module dependency File::Next)
In-Reply-To: <20210525191259.23awunfcwdr6p3cg@silver>
References: <20210524191054.7wtb4wopstgx2c77@silver>
 <handler.48630.B.162188348523111.ack <at> debbugs.gnu.org>
 <20210525191259.23awunfcwdr6p3cg@silver>
Date: Tue, 25 May 2021 23:34:26 +0200
Message-ID: <875yz67b19.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Tue, May 25 2021, Gabriel Wicki wrote: > thanks for the
 advice, i'll update and split the patch into a small > series soon! Great!
 :) Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 48630
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Tue, May 25 2021, Gabriel Wicki wrote: > thanks for the
    advice, i'll update and split the patch into a small > series soon! Great!
    :) 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Tue, May 25 2021, Gabriel Wicki wrote:

> thanks for the advice, i'll update and split the patch into a small
> series soon!

Great! :)

> the tests are deactivated because 3 of 841 fail. they seem to check
> some kind of shebang #! paths. see this excerpt from the build log:
>
> #   Failed test 'Util::sets_match( TEST_TYPE with -t perl )'
> #   at t/ack-type.t line 43.
>
> 	# actual[
> 	#   't/swamp/0:1:#!/gnu/store/8zvc5mvk0xm3ygrxsgpyy5ilxb5rzjry-perl-5.30=
.2/bin/perl -w',
> ...
> 	# ]
> 	# expected[
> 	#   't/swamp/0:1:#!/usr/bin/perl -w',
> ...
> 	# ]
>
> these lines are being ignored by the patch-generated-file-shebangs
> phase, maybe because the #! aren't at the beginning of the line?
>
> i'm a total novice in Perl, so i'm not sure what exactly is happening
> there or why this is even tested.
>
> should i try and add my own version of a patch-shebang after the
> patch-generated-file-shebangs phase?

Yes, you could add add a phase after the =E2=80=98patch-generated-file-sheb=
angs=E2=80=99
phase that replaces #!/usr/bin/perl with #!/gnu/store/...-perl/bin/perl.
Something like this should work (untested):

#+begin_src scheme
(add-after 'patch-generated-file-shebangs 'patch-more-shebangs
  (lambda (#:key inputs #:allow-other-keys)
    (substitute* '("t/ack-type.t" ...)
      (let ((perl (assoc-ref inputs "perl")))
        (("/usr/bin/perl")
         (string-append perl "/bin/perl"))))))
#+end_src=20=20=20=20=20=20=20=20=20


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmCtbWIVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x51D4QALpTSaGICSvR/DwjdpAFdEDZL2tP
LRfQ8aR4bwihMgisSnX9MjIJ0KemK6vPKdCAYuXHfQAEWeBNzFaTmqlPkctlNRXx
uT+VKMWz6GeAYX1p8YjLET5EXLo3351OBeGLkSGH8aTFEHqLH031FZfxPGXvtg7X
1WiJq4Zwh5GBpJlV4WPz1LRVRHF8xeOVrKRtW41XLncrxHAJuxUOsZK5uJ9jzzLA
E3yJbFR/Yg3sMksS76TGKOP72zl09A11o6lO7aViKxilngBzDWPalKYSf/Gu/qai
pZ8tLD/USGbDdb41TVEhR1SNtCt+boyAY4LeoNrFsAo4nwDGV2jj8NPDMPz0DKHG
IWaovGJdKnwnbeY/XLftPg8QIvkQwTyHowDWCS1yJgscZa+eFPMqqE/NCceIekvB
CcVdkpjlDUE67KSRCYa0RDqzr9Ibbpnls0KeST99xQH7PGGIp3uWkoQJq68lljBq
8vUFxgUeqyC9FQRpzRP6rnpnwO8HRhHCUCnDfwTM5ueU+OFqodVrLF/1F3d3ShHr
PWFkfJLFDkXc3JZ0u3FuxU3LpwTc9ODKSzt1rnIeTGPI04K4biMUtJ1J8dMSKq5h
kt7p4Qwhw1DHVRYolSxEMUls2KyJZXTjH8wL3PeFerKCOyg1eBnLmuVWeWbPXE2I
1fxMGRKCHiMbcnrs
=79BR
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#48630; Package guix-patches. Full text available.

Message received at 48630 <at> debbugs.gnu.org:


Received: (at 48630) by debbugs.gnu.org; 25 May 2021 19:13:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 25 15:13:15 2021
Received: from localhost ([127.0.0.1]:46809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1llcUM-000164-QY
	for submit <at> debbugs.gnu.org; Tue, 25 May 2021 15:13:14 -0400
Received: from chimborazo.ee.ethz.ch ([129.132.2.15]:44957)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gabriel@HIDDEN>) id 1llcUK-00015q-2J
 for 48630 <at> debbugs.gnu.org; Tue, 25 May 2021 15:13:12 -0400
Received: from silver (212-51-128-14.fiber7.init7.net [212.51.128.14])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 (Authenticated sender: gabriel)
 by chimborazo.ee.ethz.ch (Postfix) with ESMTPSA id B984740315
 for <48630 <at> debbugs.gnu.org>; Tue, 25 May 2021 21:13:05 +0200 (CEST)
Date: Tue, 25 May 2021 21:12:59 +0200
From: Gabriel Wicki <gabriel@HIDDEN>
To: 48630 <at> debbugs.gnu.org
Subject: Re: bug#48630: Acknowledgement ([PATCH] adds `ack' package and it's
 perl module dependency File::Next)
Message-ID: <20210525191259.23awunfcwdr6p3cg@silver>
References: <20210524191054.7wtb4wopstgx2c77@silver>
 <handler.48630.B.162188348523111.ack <at> debbugs.gnu.org>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <handler.48630.B.162188348523111.ack <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48630
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

thanks for the advice, i'll update and split the patch into a small
series soon!


the tests are deactivated because 3 of 841 fail. they seem to check
some kind of shebang #! paths. see this excerpt from the build log:

#   Failed test 'Util::sets_match( TEST_TYPE with -t perl )'
#   at t/ack-type.t line 43.

	# actual[
	#   't/swamp/0:1:#!/gnu/store/8zvc5mvk0xm3ygrxsgpyy5ilxb5rzjry-perl-5.30.2/bin/perl -w',
...
	# ]
	# expected[
	#   't/swamp/0:1:#!/usr/bin/perl -w',
...
	# ]

these lines are being ignored by the patch-generated-file-shebangs
phase, maybe because the #! aren't at the beginning of the line?

i'm a total novice in Perl, so i'm not sure what exactly is happening
there or why this is even tested.

should i try and add my own version of a patch-shebang after the
patch-generated-file-shebangs phase?




Information forwarded to guix-patches@HIDDEN:
bug#48630; Package guix-patches. Full text available.

Message received at 48630 <at> debbugs.gnu.org:


Received: (at 48630) by debbugs.gnu.org; 24 May 2021 21:26:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 24 17:26:33 2021
Received: from localhost ([127.0.0.1]:44037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1llI5o-0000sD-S9
	for submit <at> debbugs.gnu.org; Mon, 24 May 2021 17:26:33 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:60090
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1llI5m-0000rz-R7
 for 48630 <at> debbugs.gnu.org; Mon, 24 May 2021 17:26:31 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1621891583;
 bh=CttyecTjS7GAmMHmjgk9lC2v56FRHnnVjWlAmGxSKwg=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=RKj7A+LIgmy0aj4AQU+CqYjAoNLClCkyVx4uQSGFnrRE33yz2PEej9kNbLWeyjYFC
 9EgUiZfN78+wbLtLsxnAscxaGgiu5HchOpXkI/ea1iEJs4tG0qqznMm2oYhRn4trSR
 zNcNwdvOh6ISm0ERMcw5yrGS1RSDY2o/0ol0/CHw=
To: Gabriel Wicki <gabriel@HIDDEN>, 48630 <at> debbugs.gnu.org
Subject: Re: [bug#48630] [PATCH] adds `ack' package and it's perl module
 dependency File::Next
In-Reply-To: <20210524191054.7wtb4wopstgx2c77@silver>
References: <20210524191054.7wtb4wopstgx2c77@silver>
Date: Mon, 24 May 2021 23:26:22 +0200
Message-ID: <87mtsj962p.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Mon, May 24 2021,
 Gabriel Wicki wrote: > modified: gnu/packages/perl.scm
 > - adds package `perl-file-next' (module File::Next) > > modified:
 gnu/packages/textutils.scm
 > - adds package `ack' with disabled tests 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 48630
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Mon, May 24 2021, Gabriel Wicki wrote: > modified: gnu/packages/perl.scm
    > - adds package `perl-file-next' (module File::Next) > > modified: gnu/packages/textutils.scm
    > - adds package `ack' with disabled tests 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Mon, May 24 2021, Gabriel Wicki wrote:

> modified:   gnu/packages/perl.scm
>  - adds package `perl-file-next' (module File::Next)
>
> modified:   gnu/packages/textutils.scm
>  - adds package `ack' with disabled tests

Commit messages should be written in ChangeLog format[1], you can look
at previous commits for examples.

This commit should also be split into two separate commits, one adding
=E2=80=98perl-file-next=E2=80=99, and the other adding =E2=80=98ack=E2=80=
=99.

> +(define-public perl-file-next
> +  (package
> +   (name "perl-file-next")
> +   (version "1.18")
> +   (source (origin
> +            (method git-fetch)
> +            (uri (git-reference
> +                  (url "https://github.com/petdance/file-next")
> +                  (commit version)))
> +            (file-name "perl-next-file")

Use =E2=80=98(file-name (git-file-name name version))=E2=80=99.

> +            (sha256
> +             (base32
> +              "0zdrxk409qxkbbv4fl4wi285kfzyrpaja9wfl00vrxc078rs4afm"))))
> +   (build-system perl-build-system)
> +   (synopsis "File::Next is a lightweight, taint-safe file-finding Perl =
module")

Try to make the synopsis as concise as possible, just =E2=80=9CLightweight,
taint-safe file-finding Perl module=E2=80=9D should do.  See the =E2=80=98S=
ynopses and
Descriptions=E2=80=99 section of the manual.

> +   (description "A Perl CPAN module for finding files.  It has no non-co=
re
> +prerequisites")

The description should contain one or more complete sentences.

> +(define-public ack
> +  (package
> +   (name "ack")
> +   (version "3.5.0")
> +   (source (origin
> +            (method git-fetch)
> +            (uri
> +             (git-reference
> +              (url "https://github.com/beyondgrep/ack3")
> +              (commit (format #nil "v~a" version))))

We usually use =E2=80=98(string-append "v" version)=E2=80=99 instead of =E2=
=80=98format=E2=80=99.

> +            (file-name "ack")

Use =E2=80=98(file-name (git-file-name name version))=E2=80=99 (same as abo=
ve).

> +            (sha256
> +             (base32 "00131vqjbzcn6w22m0h3j6x9kp59dimfnnqhpmi78vbcj0jws1=
dv"))))
> +   (build-system perl-build-system)
> +   (arguments '(#:tests? #f))

What=E2=80=99s the reason for disabling the tests?

> +   (propagated-inputs `(("perl-file-next" ,perl-file-next)))
> +   (synopsis "Code-searching tool optimized for programmers with large t=
rees
> +of source code")
> +   (description "ack is a tool for finding text inside files. it is desi=
gned for
                                                                ^^
Please use double spacing, and capitalize.

> +hackers and programmers by being fast, ignoring VCS directories, letting=
 a user
> +easily specify file types, match highlighting, Perl-Compatible Regular
> +Expressions, and being faster to type than `grep '")
                                                   ^^
Unecessary whitespace, and missing period.

Could you send an updated series?

[1]: https://www.gnu.org/prep/standards/html_node/Change-Logs.html#Change-L=
ogs

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmCsGf4VHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5aQ8QAIxabUMnGFQoYw1oOf8ojuow1Eqn
A7uCsWBdxOKoeFEQzHhyvQgQHtgtVTld+pSngpElgSuBeD+HE/j4H477rMiFoj8Q
hVFNDbH2BKDq9GJ7EaBMZA6ZAKTisqhqcbsoR7i78ir6pyFwlV24EA2AJ0H237gK
NAA+9bVo991B4E0pe+nHgTQY9vsN1HstGhKFujTqdGHy++JWZCGNQSSPQmsSYyyT
1aLz7dfYkT+v24CMogIq/Fg5TscZE6Cy1YWtrb87v9rE4kVx9Wbw1WYtGaMtVItc
LEXHNa5nIai2Xfo0VkgsaYmgm2JA7EP9WMGF4QL4h2s+huNkR/9dmpXEVzyEiHaM
oIQIO5k+E77ZnMNqwMnDPc+4GowoDjS1ESyXwtPIK8lB9u0HJCdLDvf98iHJ2f33
mvDMOYuKY+FUDasOCNXZ/swF4OA8HjTT8gyEZ7SPfdcNAWyDxaVYSQclRCHAgwqx
NwELoPRdu1Tm3N0szt55+zgj9uE4H9uFNUMA2VYf96I8ztr71vBa9GyQdti8hNIV
PBu7Ce3gPQDUtvmL+0OzBfW6OOWCZpIdeHBcDL3y5b58OubcMm+wuju3nxyLplom
gkKUqdUYNijBWzDbW+QuirBASZlOll7AdduoCL6ulW/k5bjAiTzRASRY7I1zW53z
5N2LHO9fBvxqgvN+
=Eoj3
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#48630; Package guix-patches. Full text available.

Message received at 48630 <at> debbugs.gnu.org:


Received: (at 48630) by debbugs.gnu.org; 24 May 2021 21:01:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 24 17:01:25 2021
Received: from localhost ([127.0.0.1]:44020 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1llHhV-0000HN-F4
	for submit <at> debbugs.gnu.org; Mon, 24 May 2021 17:01:25 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:49682)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1llHhU-0000HF-1T
 for 48630 <at> debbugs.gnu.org; Mon, 24 May 2021 17:01:24 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by andre.telenet-ops.be with bizsmtp
 id 8l1M2500T0mfAB401l1Nli; Mon, 24 May 2021 23:01:22 +0200
Message-ID: <b8dbcd484944232e2da0a9e9d9e32317ff487dbc.camel@HIDDEN>
Subject: Re: [bug#48630] [PATCH] adds `ack' package and it's perl module
 dependency File::Next
From: Maxime Devos <maximedevos@HIDDEN>
To: Gabriel Wicki <gabriel@HIDDEN>, 48630 <at> debbugs.gnu.org
Date: Mon, 24 May 2021 23:01:09 +0200
In-Reply-To: <20210524191054.7wtb4wopstgx2c77@silver>
References: <20210524191054.7wtb4wopstgx2c77@silver>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-oqUmi9nuvCo+8bggsUiK"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1621890082; bh=IvsgGFmMp8KwYGPDPvHWfOe2Kv4ay8GJ42vIqw0pLqo=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=vCKHOjA/f/ZsHB2JjkFO6xBcJsqaUhT3n5QC4F/vVDcqwEUdGuQ+zmALr4tgtfoeU
 Dn4Vy+m97Vim5fdLdAlWUkx6rKwbqT5kjnMaHZ5WuW2xhoaSgy0HijB6s+Np8aTAWX
 aB++85Ytoo12r0KTOG0mvs1GQasJKZO7yN7HL+XzumBjdHi//xWR97ExnfyBe/O2CC
 iIYmXrp5wiQBunqFzFRmR1PeK0TYxCRqMBGuAMKPC/iFqGOC/f14rmg+gGRBX+idnG
 AG1RkTacTF8cgtEgPQOVcm9ZEPEzRogdxwNUuHpJdIytb/AzpZVs0odayoU2bK/FD/
 5OHLDHSdUlD6g==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48630
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-oqUmi9nuvCo+8bggsUiK
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Gabriel Wicki schreef op ma 24-05-2021 om 21:10 [+0200]:
> [...]
> +(define-public ack
> +  (package
> +   (name "ack")
> +   (version "3.5.0")
> +   (source (origin
> +            (method git-fetch)
> +            (uri
> +             (git-reference
> +              (url "https://github.com/beyondgrep/ack3")
> +              (commit (format #nil "v~a" version))))

#f is an elisp compatibility hack in Guile.
Use (format #f "v~a" version) instead, or simpler
(string-append "v" version).

Looking at the patch only and (I didn't test it, didn't do
licensing checks, etc.) I only see one other problem:

> +   (arguments '(#:tests? #f))

Why are the tests disabled? (Are there none, do they need
additional packages not in Guix, ...) Maybe add a line like

> +   ;; There is no test suite.
> +   (arguments '(#:tests? #f))

Greetings,
Maxime.

--=-oqUmi9nuvCo+8bggsUiK
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYKwUHxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7iWXAQDWOpjbcIknk/MN8PUtmO28a2Ab
mJoir5bh4D53h0eW9wD+NrdV2T56fCmuDKo3OskSi6CUxHokvlWeO+LkDyXoBg8=
=Lo63
-----END PGP SIGNATURE-----

--=-oqUmi9nuvCo+8bggsUiK--





Information forwarded to guix-patches@HIDDEN:
bug#48630; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 May 2021 19:11:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 24 15:11:25 2021
Received: from localhost ([127.0.0.1]:43901 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1llFz2-00060g-ON
	for submit <at> debbugs.gnu.org; Mon, 24 May 2021 15:11:25 -0400
Received: from lists.gnu.org ([209.51.188.17]:39020)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gabriel@HIDDEN>) id 1llFz0-00060Z-No
 for submit <at> debbugs.gnu.org; Mon, 24 May 2021 15:11:23 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49166)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gabriel@HIDDEN>)
 id 1llFyy-0005D5-Ip
 for guix-patches@HIDDEN; Mon, 24 May 2021 15:11:21 -0400
Received: from chimborazo.ee.ethz.ch ([129.132.2.15]:44415)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gabriel@HIDDEN>)
 id 1llFym-0008E3-P1
 for guix-patches@HIDDEN; Mon, 24 May 2021 15:11:20 -0400
Received: from silver (212-51-128-14.fiber7.init7.net [212.51.128.14])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 (Authenticated sender: gabriel)
 by chimborazo.ee.ethz.ch (Postfix) with ESMTPSA id 1BE60401A4
 for <guix-patches@HIDDEN>; Mon, 24 May 2021 21:10:58 +0200 (CEST)
Date: Mon, 24 May 2021 21:10:54 +0200
From: Gabriel Wicki <gabriel@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] adds `ack' package and it's perl module dependency File::Next
Message-ID: <20210524191054.7wtb4wopstgx2c77@silver>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Received-SPF: none client-ip=129.132.2.15; envelope-from=gabriel@HIDDEN;
 helo=chimborazo.ee.ethz.ch
X-Spam_score_int: -41
X-Spam_score: -4.2
X-Spam_bar: ----
X-Spam_report: (-4.2 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_MED=-2.3,
 SPF_HELO_NONE=0.001, SPF_NONE=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

modified:   gnu/packages/perl.scm
 - adds package `perl-file-next' (module File::Next)

modified:   gnu/packages/textutils.scm
 - adds package `ack' with disabled tests
---
 gnu/packages/perl.scm      | 20 ++++++++++++++++++++
 gnu/packages/textutils.scm | 26 ++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/gnu/packages/perl.scm b/gnu/packages/perl.scm
index d35508112f..87d541783e 100644
--- a/gnu/packages/perl.scm
+++ b/gnu/packages/perl.scm
@@ -4578,6 +4578,26 @@ that arise trying to find them consistently across a wide variety of
 platforms.")
     (license (package-license perl))))
 
+(define-public perl-file-next
+  (package
+   (name "perl-file-next")
+   (version "1.18")
+   (source (origin
+            (method git-fetch)
+            (uri (git-reference
+                  (url "https://github.com/petdance/file-next")
+                  (commit version)))
+            (file-name "perl-next-file")
+            (sha256
+             (base32
+              "0zdrxk409qxkbbv4fl4wi285kfzyrpaja9wfl00vrxc078rs4afm"))))
+   (build-system perl-build-system)
+   (synopsis "File::Next is a lightweight, taint-safe file-finding Perl module")
+   (description "A Perl CPAN module for finding files.  It has no non-core
+prerequisites")
+   (home-page "https://metacpan.org/pod/File::Next")
+   (license license:artistic2.0)))
+
 (define-public perl-file-path
   (package
     (name "perl-file-path")
diff --git a/gnu/packages/textutils.scm b/gnu/packages/textutils.scm
index ab34373705..7dd7ee80e2 100644
--- a/gnu/packages/textutils.scm
+++ b/gnu/packages/textutils.scm
@@ -45,6 +45,7 @@
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system go)
   #:use-module (guix build-system cmake)
+  #:use-module (guix build-system perl)
   #:use-module (guix build-system python)
   #:use-module (guix utils)
   #:use-module (gnu packages)
@@ -1304,3 +1305,28 @@ languages such as HTML, Markdown, Asciidoc, and reStructuredText.  The community
 around it also has a list of style guides implemented with Vale in
 @url{https://github.com/errata-ai/styles, their styles repo}.")
     (license license:expat)))
+
+(define-public ack
+  (package
+   (name "ack")
+   (version "3.5.0")
+   (source (origin
+            (method git-fetch)
+            (uri
+             (git-reference
+              (url "https://github.com/beyondgrep/ack3")
+              (commit (format #nil "v~a" version))))
+            (file-name "ack")
+            (sha256
+             (base32 "00131vqjbzcn6w22m0h3j6x9kp59dimfnnqhpmi78vbcj0jws1dv"))))
+   (build-system perl-build-system)
+   (arguments '(#:tests? #f))
+   (propagated-inputs `(("perl-file-next" ,perl-file-next)))
+   (synopsis "Code-searching tool optimized for programmers with large trees
+of source code")
+   (description "ack is a tool for finding text inside files. it is designed for
+hackers and programmers by being fast, ignoring VCS directories, letting a user
+easily specify file types, match highlighting, Perl-Compatible Regular
+Expressions, and being faster to type than `grep '")
+   (home-page "https://beyondgrep.com/")
+   (license license:artistic2.0)))
-- 
2.30.2





Acknowledgement sent to Gabriel Wicki <gabriel@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#48630; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 27 May 2021 16:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.